#!/bin/bash
# Classify test files
cd naive
echo "naive classifying test nonSpam data"
./classify.sh nonSpamTest > nonSpamTest.log
echo "naive classifying test spam data"
./classify.sh spamTest > spamTest.log
cd ..
cd markov
echo "markov classifying test nonSpam data"
./classify.sh nonSpamTest > nonSpamTest.log
echo "markov classifying test spam data"
./classify.sh spamTest > spamTest.log
cd ..
cd hyperspace
echo "hyperspace classifying test nonSpam data"
./classify.sh nonSpamTest > nonSpamTest.log
echo "hyperspace classifying test spam data"
./classify.sh spamTest > spamTest.log
cd ..
echo "summarise classifications"
grep '^test\|^Best' naive/nonSpamTest.log > naiveNonSpam.log
grep '^test\|^Best' naive/spamTest.log > naiveSpam.log
grep '^test\|^Best' markov/nonSpamTest.log > markovNonSpam.log
grep '^test\|^Best' markov/spamTest.log > markovSpam.log
grep '^test\|^Best' hyperspace/nonSpamTest.log > hyperspaceNonSpam.log
grep '^test\|^Best' hyperspace/spamTest.log > hyperspaceSpam.log
# Summary statistics
echo "get classification statistics"
./getstats.sh > stats.log
echo "done"
